petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscStrcpy

Copies a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrcpy(char s[],const char t[])

Not Collective

### Input Parameters

t -pointer to string

### Output Parameter

s -the copied string

### Notes

Null string returns a string starting with zero

Not for use in Fortran

### See Also

PetscStrncpy(), PetscStrcat(), PetscStrncat()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/extchem.c.html